# UsersLogicInterface

interface UsersLogicInterface

Interface UserLogicInterface

## Methods

RESTClient
getUsers(int $start, int $end)

URL: /users

RESTClient
getUserDetails(string $userName)

/users/[username]

RESTClient
createUserRelationship(User $sourceUser, User $targetUser)

We create a UserRelation of the form (sourceUser, targetUser)\in relation sourceUser should be logged in for this

## Details

###
at line 55
`RESTClient getUsers(int $start, int $end)`

URL: /users

Generic method to retrieve lists of users

#### Parameters

int | $start | start position
int | $end | end position

#### Return Value

RESTClient |

###
at line 67
`RESTClient getUserDetails(string $userName)`

/users/[username]

Returns details about a specified user

#### Parameters

string | $userName | name of the user we want to get details from

#### Return Value

RESTClient |

###
at line 79
`RESTClient createUserRelationship(User $sourceUser, User $targetUser)`

We create a UserRelation of the form (sourceUser, targetUser)\in relation sourceUser should be logged in for this

#### Parameters

User | $sourceUser | leftHandSide of the relation
User | $targetUser | rightHandSie of the relation

#### Return Value

RESTClient |